hpp-corbaserver: ConfigValidation Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
ConfigValidation Class Reference

`#include <hpp/core_idl/path_validations-idl.hh>`

Inheritance diagram for ConfigValidation:
[legend]
Collaboration diagram for ConfigValidation:
[legend]

## Public Types
typedef ConfigValidation_ptr | _ptr_type
typedef ConfigValidation_var | _var_type

## Public Member Functions
virtual | ~ConfigValidation ()
inline ::hpp::core_idl::ConfigValidation_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef ConfigValidation_ptr ConfigValidation::_ptr_type

## ◆ _var_type

typedef ConfigValidation_var ConfigValidation::_var_type

## Constructor & Destructor Documentation

## ◆ ~ConfigValidation()

virtual ConfigValidation::~ConfigValidation | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type ConfigValidation::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type ConfigValidation::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

_CORBA_MODULE_END _CORBA_MODULE_END _CORBA_MODULE_END _CORBA_MODULE OBV_hpp _CORBA_MODULE_BEG _CORBA_MODULE core_idl _CORBA_MODULE_BEG _CORBA_MODULE pathValidation_idl _CORBA_MODULE_BEG _CORBA_MODULE_END _CORBA_MODULE_END _CORBA_MODULE_END void ConfigValidation::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type ConfigValidation::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type ConfigValidation::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::core_idl::ConfigValidation_ptr ConfigValidation::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type ConfigValidation::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type ConfigValidation::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* ConfigValidation::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_validations-idl.hh